* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-family: "Roboto", sans-serif;
  line-height: 1;
  font-size: 14px;
}

.layout {
  height: 100vh;
  width: 100vw;
  background-color: #463b2c;
  background: url('../img/background.png') no-repeat center/cover;
  font-weight: 600;
  color: #434343;
  display: flex;
  justify-content: center;
  position: relative;
}

.password-form {
  position: absolute;
  top: 20%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 24px;
  background-color: rgba(229, 229, 229, 0.8);
  padding: 40px 70px 30px;
  border-radius: 16px;
  width: 480px;
  height: fit-content;
  box-shadow: 5px 5px 8px rgba(0, 0, 0, 0.4);
  user-select: none;
}

.input-wrapper {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.password-input {
  width: 100%;
  border-radius: 6px;
  border: 1px solid #F2F2F2;
  padding: 0 60px 0 20px;
  color: #434343;
  height: 45px;
}

input:focus {
  outline: 0;
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.3);
}

input[type=password]:not(:placeholder-shown) {
  font-size: 14px;
  letter-spacing: 3px;
  line-height: 0.8;
}

input[type=text]:not(:placeholder-shown) {
  font-size: 14px;
  letter-spacing: 2px;
  font-weight: 600;
}

.icon-password {
  position: absolute;
  right: 25px;
  top: 32px;
  color: grey;
  font-size: 18px;
  cursor: pointer;
}

.btn {
  border-radius: 6px;
  width: fit-content;
  height: 48px;
  font-size: 16px;
  padding: 15px;
  color: #FFFFFF;
  border: none;
  cursor: pointer;
  transition: all .2s ease-in;
  background-color: #3cb878cc;
  box-shadow: 5px 5px 7px rgba(0, 0, 0, 0.8);
  margin-top: 10px;
}

.btn:hover {
  background-color: #01813F;
}

.btn:active {
  transform: scale(0.95);
  box-shadow: 2px 2px rgba(0, 0, 0, 0.8);
}

.btn:focus {
  outline: none;
}

.hint {
  color: red;
  font-size: 11px;
  font-weight: 500;
  position: absolute;
  bottom: -15px;
}

.modal {
  display: block;
  opacity: 0;
  position: absolute;
  top: 0px;
  text-align: center;
  font-size: 10px;
  background-color: rgba(229, 229, 229, 0.8);
  border-radius: 16px;
  width: 480px;
  height: 200px;
  line-height: 200px;
  box-shadow: 5px 5px 8px rgba(0, 0, 0, 0.4);
  animation: drop 2s ease-out;
}

@keyframes drop {
  0% {
    opacity: 0;
  }

  25% {
    opacity: .4;
    font-size: 15px;
  }

  50% {
    opacity: .8;
    top: 25%;
    font-size: 20px;
  }

  75% {
    opacity: 1;
    top: 18%;
    font-size: 25px;
  }

  100% {
    top: 20%;
    font-size: 30px;
  }
}